Bug 542500 - Review Request: php-pear-OLE - Package for reading and writing OLE containers
Review Request: php-pear-OLE - Package for reading and writing OLE containers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 508817 542028 544722
  Show dependency treegraph
 
Reported: 2009-11-29 18:48 EST by David Nalley
Modified: 2010-02-03 15:05 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.0.0-0.4.rc1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-11-29 18:48:02 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-pear-OLE.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-pear-OLE-1.0.0-0.1.rc1.fc12.src.rpm
Description:
This package allows reading and writing of OLE (Object Linking and
Embedding) compound documents. This format is used as container for Excel
(.xls), Word (.doc) and other Microsoft file formats.


rpmlint output: 
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/php-pear-OLE-1.0.0-0.1.rc1.fc12.noarch.rpm 
php-pear-OLE.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/php-pear-OLE-1.0.0-0.1.rc1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint php-pear-OLE.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


WRT the no doc warning - no documentation is shipped with the package.
Comment 1 Remi Collet 2009-11-30 13:50:45 EST
Just a quick note (I will try to do the full review ASAP)

Requires: php >= 4.0.0

This have probably no interest (no php version 3 available anywhere) and this will bring a dependency on http (some use php in cli mode only or with another web server)

When you need a minimal php version, you should Requires php-common >= #.#.#
In this case, I think, you should remove this Requires.
Comment 2 David Nalley 2009-12-02 14:00:27 EST
thanks for the review. 

I stripped that require, 

SPEC: http://ke4qqq.fedorapeople.org/php-pear-OLE.spec
SRPM: http://ke4qqq.fedorapeople.org/php-pear-OLE-1.0.0-0.2.rc1.fc12.src.rpm
Comment 3 Remi Collet 2009-12-02 16:15:54 EST
REVIEW:

+ rpmlint is ok
php-pear-OLE.src: I: checking
php-pear-OLE.noarch: I: checking
php-pear-OLE.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : PHP
+ License is upstream 
+ spec in english and legible
+ no license file in sources is provided
+ sources match the upstream sources
232a44e1da145afc6f6a5b791ae605f8  OLE-1.0.0RC1.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in koji
+ no test suite
+ scriptlets ok
- Final Requires ok
/usr/bin/pear 
+ Final Provides ok
php-pear(OLE) = 1.0.0
php-pear-OLE = 1.0.0-0.2.rc1.fc8


In /usr/share/pear/OLE.php
=> require_once 'PEAR.php';

So you must add
Requires: php(PEAR)
Comment 4 Remi Collet 2009-12-02 16:16:36 EST
Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=1844660
Comment 5 David Nalley 2009-12-06 10:04:21 EST
fixed the requires

SRPM: http://ke4qqq.fedorapeople.org/php-pear-OLE-1.0.0-0.3.rc1.fc12.src.rpm
SPEC: http://ke4qqq.fedorapeople.org/php-pear-OLE.spec

Thanks for the review Remi
Comment 6 Remi Collet 2009-12-07 12:19:56 EST
grr... 
Sorry for the typo.
Of course php(PEAR) didn't exists, so you must include php-pear(PEAR)....

Else the package couldn't be installed...
Comment 7 David Nalley 2009-12-08 00:59:48 EST
Bah - I know better too - what I get for blindly copy and pasting. 
Thanks, Remi

SRPM: http://ke4qqq.fedorapeople.org/php-pear-OLE-1.0.0-0.3.rc1.fc12.src.rpm
SPEC: http://ke4qqq.fedorapeople.org/php-pear-OLE.spec
Comment 8 Remi Collet 2009-12-09 01:29:34 EST
all "MUST" fixed.

***** APPROVED *****
Comment 9 David Nalley 2009-12-09 08:16:22 EST
Thanks for the review Remi!!

New Package CVS Request
=======================
Package Name: php-pear-OLE
Short Description: Package for reading and writing OLE containers
Owners: ke4qqq
Branches: F-11 F-12 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-12-09 12:39:38 EST
cvs done.
Comment 11 Fedora Update System 2009-12-10 19:30:15 EST
php-pear-OLE-1.0.0-0.4.rc1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pear-OLE-1.0.0-0.4.rc1.el5
Comment 12 Fedora Update System 2009-12-11 13:14:09 EST
php-pear-OLE-1.0.0-0.4.rc1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-02-03 15:05:22 EST
php-pear-OLE-1.0.0-0.4.rc1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.